#include <Hazel.h>
#include "Hazel/Core/EntryPoint.h"

#include "Editor/EditorLayer.h"


namespace Hazel
{
	class HazelEditor : public Application
	{
	public:
		HazelEditor()
			: Application("Hazel Editor", 1600, 900)
		{
			PushLayer(new EditorLayer());
		}

		~HazelEditor() = default;

	private:
	};


	Application* CreateApplication()
	{
		return new HazelEditor();
	}
}
